Skip to content

External BaseStation Status Change​

GET
/devices/{id}/updateRtkBaseStatus

Authorizations​

ApiKeyAuth

API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.

Type
API Key (header: Authorization)
Example"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Parameters​

Path Parameters

id*

device id

Type
number
Required
Format
"integer"

Query Parameters

online*

If the external base is online. If true, the other parameters are required

Type
boolean
Required
lat

Latitude of the external base

Type
number
Format
""
lng

Longitude of the external base

Type
number
Format
""
alt

Altitude of the external base

Type
number
Format
""

Request example

Responses​

Body (JSON)

application/json
JSON
{
  
"deviceId": 0,
  
"type": "string",
  
"group": 0,
  
"connected": "string",
  
"surveyCompleted": "string",
  
"location": {
  
  
"lat": 0,
  
  
"lng": 0
  
},
  
"accuracy": 0,
  
"status": "string",
  
"fixedPositionLat": 0,
  
"fixedPositionLng": 0,
  
"fixedPositionAlt": 0,
  
"surveyTime": 0,
  
"surveyMinAcc": 0,
  
"surveyRequested": true,
  
"valid": true
}
Try this endpoint

Playground​

Authorization
Variables
Key
Value